Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.server.endpoint
Interface ConsumerEndpoint

All Superinterfaces:
  Closeable

All Known Subinterfaces:
  ConsumerDelegate

All Known Implementing Classes:
  ClientConsumerDelegate, ConsumerAdvised, ServerConsumerEndpoint

public interface ConsumerEndpoint
extends Closeable

Represents the set of methods from the ConsumerDelegate that are handled on the server. The rest of the methods are handled in the advice stack.

Version:
  `$Revision: 1.10 $` $Id: ConsumerEndpoint.java,v 1.10 2006/03/28 14:26:16 timfox Exp $
Author:
  Tim Fox

Method Summary
`void` | `activate()`
`void` | `cancelDeliveries(java.util.List messageIDs)`
`void` | `cancelDelivery(long messageID)`
`long` | `deactivate()`
`MessageProxy` | `getMessageNow(boolean wait)`

Methods inherited from interface org.jboss.jms.client.Closeable
`close, closing`

Method Detail

### cancelDelivery

    public void cancelDelivery(long messageID)
                        throws JMSException

  Throws:
    `JMSException`

### cancelDeliveries

    public void cancelDeliveries(java.util.List messageIDs)
                          throws JMSException

  Throws:
    `JMSException`

### getMessageNow

    public MessageProxy getMessageNow(boolean wait)
                               throws JMSException

  Throws:
    `JMSException`

### activate

    public void activate()
                  throws JMSException

  Throws:
    `JMSException`

### deactivate

    public long deactivate()
                    throws JMSException

  Returns:
    the last message ID delivered to the client consumer
  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.